/* This program prints the system matrices of the DGP
*/
new;
cls;
#include c:\projects\active\mismodel\gauss\mcspec.g


load path = ^mcoutpath Fdgp, Adgp, SIGeps, Wloss;

A_ind = 1;
do until A_ind > A_n;

   /* Extract A */
   AA = Adgp[.,(A_ind-1)*y_n+1:A_ind*y_n];
   
   outrow = "A_{" $+ ftos(A_ind,"%*.*lf",1,0) $+
            "} = \\left[ \\begin{array}{cc} ";
   
   row_ind = 1;
   do until row_ind > y_n; 
   
      col_ind = 1;
      do until col_ind > y_n;
         
         outrow = outrow $+ ftos(AA[row_ind,col_ind],"%*.*lf",6,2) ;
         
         if col_ind < y_n;
            outrow = outrow $+ " & ";
         elseif row_ind < y_n;
            outrow = outrow $+ "  \\\\  ";
         endif;
         
         col_ind = col_ind + 1;
         
      endo;
      
      row_ind = row_ind+1;
   endo;
   
   outrow = outrow $+ " \\end{array} \\right]";
   
   outrow;

   A_ind = A_ind + 1;
   
endo;
