/* Specification for Monte Carlo Experiment
*/

y_n = 2;    /* number of endogenous variables */
pstar = 1;  /* asymptotic lag length */

h   = 1 | 2 | 4 | 8;        /* vector of forecast horizons */
alp = 0 | 2 | 5 | 10 ;          /* Degree of misspecification */
T   = 100 | 500 | 5000;     /* sample sizes */

h_n    = rows(h);
h_max  = h[h_n];
alp_n  = rows(alp);
T_n    = rows(T);
T_max  = T[T_n];
T_burn = 500;

A_n = 10;                   /* number of moving average matrices */
p_n = 4;                    /* number of lags */
p   = seqa(1,1,p_n);
p_max = p[p_n];

sim_n = 20000;

mcoutpath = "c:\\projects\\active\\mismodel\\gauss\\mcout4\\";
